Package org.jetbrains.annotations

# Annotation Interface ApiStatus.AvailableSince

Enclosing class:
  `ApiStatus`

@Documented @Retention(CLASS) @Target({TYPE,ANNOTATION_TYPE,METHOD,CONSTRUCTOR,FIELD,PACKAGE}) public static @interface ApiStatus.AvailableSince

Indicates that the annotated element firstly appeared in the specified version of the library, so the code using that element won't be compatible with older versions of the library. This information may be used by IDEs and static analysis tools. This annotation can be used instead of '@since' Javadoc tag if it's needed to keep that information in *.class files or if you need to generate them automatically.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
Specifies a version where the annotation API firstly appeared.

## Element Details

### value

String value
Specifies a version where the annotation API firstly appeared.